Igmar's (tech) rant About Igmar Open Source Archive Categories

VIM 7.3 with Python 2.6 on CentOS 5.x

22 September 2011

I've been a OSX user for some time, but my main C development happens on CentOS. OSX has TextMate as editor, which has snippets : A sort of runtime macro's on steroids. It saves lots of time with common language constructs such as loops.

Vim has a UltiSnips, but that has some preconditions : It need vim 7.3 with Python >= 2.6 compiled in. CentOS has neither of them. You can't just upgrade Python on a CentOS machine, since lots of things (yum being one of them) depend on a specific version. So if you overwrite the default version, all hell will brake loose.

I've created packages for both Python and Vim (x86 and srpms), available at http://www.palsenberg.com/rpmrepo/

Happy VIMming !!!

blog comments powered by Disqus